<template>
  <div class="container mt-3">
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
      <a class="navbar-brand" href="/home">MAPALA WMDK</a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarNav">
        <ul class="navbar-nav">
          <li class="nav-item active">
            <a class="nav-link" href="/logistik/divisi/read">Divisi <span class="sr-only">(current)</span></a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="/logistik/alat/read">Alat</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="/logistik/anggota/read">Peminjam</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="/laporan">Laporan Peminjaman</a>
          </li>
        </ul>
      </div>
    </nav>
    <div class="card mt-2">
      <div class="card-header">
        <span class="myauto">Daftar Divisi</span>
      </div>
      <div class="card-body">
        <div class="row justify-content-left align-items-left">
          <a href="/logistik/divisi/insert" class="btn btn-primary">+ Tambah Data Divisi</a>
        </div>
        <br />
        <div class="row justify-content-center align-items-center">
          <table class="table table-bordered">
            <thead>
              <tr>
                <th>No</th>
                <th>Nama Divisi</th>
                <th>Action</th>
              </tr>
            </thead>
            <tbody>
              <tr v-for="(divisi, index) in divisis" :key="divisi.id_divisi">
                <td>{{index+1}}</td>
                <td>{{divisi.nama}}</td>
                <td>
                  <router-link
                    :to="{ name: 'DivisiUpdate', params: {id_divisi: divisi.id, nama: divisi.nama} }"
                    class="btn btn-success"
                  >Edit</router-link>|
                  <button @click="deleteItem(divisi.id)" class="btn btn-danger">Delete</button>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import axios from "axios";

export default {
  props: {
    msg: String
  },
  data() {
    return {
      divisis: []
    };
  },
  methods: {
    getDivisi() {
      axios
        .get("https://management.masuk.id/mapalabe/apiDivisi/read.php")
        .then(res => {
          this.divisis = res.data.body;
        })
        .catch(err => {
          // handle error
          console.log(err);
        });
    },
    deleteItem(id_divisi) {
      axios
        .delete(
          'http://localhost/mapalaBE/apiDivisi/delete.php?id_divisi=' +
            id_divisi
        )
        .then(res => {
          if (res.status == 200) {
            alert("Data Berhasil Hapus");
            window.location.reload();
            this.$router.push("read");
          }
        })
        .catch(err => {
          // handle error
          console.log(err);
        });
    }
  },
  mounted() {
    this.getDivisi();
  }
};
</script>

<style lang="stylus" scoped></style>